PDA

View Full Version : .NET 3.5 on W8



Johannes John
05-30-2012, 09:13 AM
Hello,

I'm searching the best way to install .NET 3.5 ( or SP1 ) on Windows 8?

The prereques do not support W8.

Does anybody has a solution with .prq or .suite?

Regards!
Johannes

lysemose
06-12-2012, 04:28 PM
I modified the condition for the included .prq to enable Windows 8 and did a successfull installation on the release preview version of Windows 8 64-bit.

There is a problem since the prerequisite installer clashes with the builtin installer, but after clicking some OK buttons it completes successfully.

I think InstallShield should provide a better solution.

Johannes John
06-13-2012, 02:29 AM
My problem has two faces.

The first side, that IS proclaimes, that IS2012 Spring would support W8 and the PRQs don't include the W8 condition.

The other side is the missing PRQ for .NET 3.5 with the DISM command.

Regards
Johannes

lysemose
06-13-2012, 03:59 AM
I have submitted incident SIOC-000128006 "microsoft .net framework 3.5 sp1.prq does not support Windows 8" and will keep you posted with the response.

lysemose
06-24-2012, 01:25 PM
This has now been raised as enhancement request with the issue number IOB-000061772.

Reureu
06-26-2012, 05:43 AM
They don't normally tell you when this "enhancement" will be implemented, do they? Any idea?

lysemose
06-26-2012, 05:54 AM
I have no idea if/when this will be implemented and was told to keep an eye on IOB-000061772 in the release notes.

hidenori
09-27-2012, 02:59 PM
We just released a new InstallShield prerequisite for .NET Framework 3.5 SP1:

Q210041: InstallShield Prerequisites for .NET Framework 3.5 SP1 on Windows 7 and Later, Windows Server 2008 R2 and Later (http://kb.flexerasoftware.com/selfservice/microsites/search.do?cmd=displayKC&docType=kc&externalId=Q210041&sliceId=)

Johannes John
09-28-2012, 08:19 AM
Hello Hidenori,

many thanks for your efforts!

I've tested this prereque in a setup as real prerequisite on W8.
If I start as user in admingroup it's o.k.
If I start as standard user, give the setup.exe its needed admin account, I get following error after some time in a box titeled "InstallShield":
"Error installing Microsoft(R) .NET Framework, Return Code: 0x800f0906".
It seams to be, that the elevated rights don't reach the helper.exe or the DISM command.

Regards
Johannes

hidenori
09-28-2012, 12:58 PM
Are you able to enable the .NET Framework 3.5 Windows feature by running the following command line manually from cmd. exe when you login as a standard user?

DISM /online /enable-feature /featurename:NetFx3 /All

Windows will obtain the .NET Framework 3.5 payload from Windows Update. The installation will fail if you have no access to Windows Update. For example, if your administrator has configured your computer to use Windows Server Update Services (WSUS) instead of Windows Update for servicing, ask your administrator to enable the policy to use Windows Update instead of WSUS.

Christopher Painter
09-30-2012, 09:39 PM
I had a customer email me the other day wanting to update an installer to support Win8 / .NET 3.5.

FWIW, I explained the complications of trying to call DISM and the fact that Windows Update had to be working to get the content.

They ended updating their App.Config SupportedRuntimes element to allow their 3.5 compiled application to run on .NET 4.0. They accepted that as a solution and in the end it's the simplest fix.

stefanm1
10-01-2012, 03:47 AM
Take a look at http://community.flexerasoftware.com/showthread.php?t=202846

Johannes John
10-01-2012, 04:48 AM
I don't understand it:

The cmd with
DISM /online /enable-feature /featurename:NetFx3 /All
started from an admin user is installing Net3.5 without problems.

The cmd started from a standard user ( cmd started als admin nor started in admin box), elevated to that admin user before, ends the installation with error.

Question to MS: Is there any way to enable .Net35 on W8 as standard user?

Regards
Johannes

Christopher Painter
10-01-2012, 06:20 AM
I can imagine many things that could go wrong. For example:

GPO may have windows update disabled for the user but enabled for the admin

A firewall/proxy might allow access for the admin but not the user.

The same problems could happen for a deferred / no impersonation (SYSTEM) custom action.

The bottom line is it's just got a lot harder to install .NET 3.5 on Win8. Microsoft is really encouraging moving on to .NET 4.0+.

THintz
11-28-2012, 10:59 AM
This is frustrating because Microsoft SQL install requires the .net 3.5 feature to be enabled, it neglects to enable it, and flexera can't provide a workaround.

Toonvr
03-13-2013, 09:32 AM
Hi

I have the same problem, Return Code: 0x800f0906
How can i check the return code in a custom action" I want to display an error message
'Ask your administrator to enable the policy to use Windows Update to install 3.5 .Net Feature'
What kind of Condition/Properties do i need?

Regards
Toon